PyTables User's Guide: Hierarchical datasets in Python - Release 1.3.3
Prev | Appendix C. Utilities | Next

# C.3. nctoh5

This tool is able to convert a file in `NetCDF` format to a `PyTables` file (and hence, to a HDF5 file). However, for this to work, you will need the NetCDF interface for Python that comes with the excellent `Scientific Python` (see []) package. This script was initially contributed by Jeff Whitaker. It has been updated to support selectable filters from the command line and some other small improvements.

If you want other file formats to be converted to `PyTables`, have a look at the `SciPy` (see []) project (subpackage `io`), and look for different methods to import them into `NumPy/Numeric/numarray` objects. Following the `SciPy` documentation, you can read, among other formats, ASCII files (`read_array`), binary files in C or Fortran (`fopen`) and `MATLAB` (version 4, 5 or 6) files (`loadmat`). Once you have the content of your files as `NumPy/Numeric/numarray` objects, you can save them as regular `(E)Arrays` in `PyTables` files. Remember, if you end with a nice conversor, do not forget to contribute it back to the community. Thanks!

## C.3.1. Usage

For instructions on how to use it, just pass the `-h` flag to the command:

    $ nctoh5 -h

to see the message usage:

    usage: nctoh5 [-h] [-v] [-o] [--complevel=(0-9)] [--complib=lib]
     [--shuffle=(0|1)] [--fletcher32=(0|1)] [--unpackshort=(0|1)]
     [--quantize=(0|1)] netcdffilename hdf5filename
     -h -- Print usage message.
     -v -- Show more information.
     -o -- Overwite destination file.
     --complevel=(0-9) -- Set a compression level (0 for no compression, which
         is the default).
     --complib=lib -- Set the compression library to be used during the copy.
         lib can be set to "zlib", "lzo", "ucl" or "bzip2". Defaults to "zlib".
     --shuffle=(0|1) -- Activate or not the shuffling filter (default is active
         if complevel>0).
     --fletcher32=(0|1) -- Whether to activate or not the fletcher32 filter (not
         active by default).
     --unpackshort=(0|1) -- unpack short integer variables to float variables
         using scale_factor and add_offset netCDF variable attributes
         (not active by default).
     --quantize=(0|1) -- quantize data to improve compression using
         least_significant_digit netCDF variable attribute (not active by default).
         See http://www.cdc.noaa.gov/cdc/conventions/cdc_netcdf_standard.shtml
         for further explanation of what this attribute means.

If you have followed the small tutorial on the `ptrepack` utility (see C.2), you should easily realize what most of the different flags would mean.

Prev | Home | Next
ptrepack | Up | PyTables File Format